Package org.eclipse.emf.cdo.server.db.mapping

# Interface IClassMappingBatchingSupport

public interface IClassMappingBatchingSupport
Optional bulk-write extension for `IClassMapping`.

Every revision or revision delta passed to a method belongs to this class mapping. Relative order within the supplied array must be preserved unless the implementation has a demonstrated semantic reason to change it. Implementations must not resolve the class mapping again. Mappings without this extension continue to use the existing single-item methods.

Since:
  4.15
Author:
  Eike Stepper

## Method Summary

Modifier and Type
Method
Description
`void`
`writeRevisionDeltas(IDBStoreAccessor accessor, InternalCDORevisionDelta[] deltas, long created, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)`
Writes revision deltas that all belong to this class mapping.
`void`
`writeRevisions(IDBStoreAccessor accessor, InternalCDORevision[] revisions, boolean firstRevision, boolean revise, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)`
Writes revisions that all belong to this class mapping.

## Method Details

### writeRevisions

void writeRevisions(IDBStoreAccessor accessor, InternalCDORevision[] revisions, boolean firstRevision, boolean revise, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)
Writes revisions that all belong to this class mapping.

### writeRevisionDeltas

void writeRevisionDeltas(IDBStoreAccessor accessor, InternalCDORevisionDelta[] deltas, long created, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)
Writes revision deltas that all belong to this class mapping.